<app-header [fixed]="true" [navbarBrandFull]="{src: basePath+'assets/img/brand/logo.svg', width: 89, height: 25, alt: 'Mandiri Logo'}"
  [navbarBrandMinimized]="{src: basePath+'assets/img/brand/img.jpg', width: 30, height: 30, alt: 'Mandiri Logo'}"
  [sidebarToggler]="'lg'" [asideMenuToggler]="'lg'">
  <ul class="nav navbar-nav d-md-down-none">
    <li class="nav-item px-3">
      <span class="nav-link text-white">Integrated Testing Management</span>
    </li>
    <li *ngIf="viewIds.includes('itime_goToRegistrationModule')" class="nav-item px-3">
      <a class="nav-link text-white btn btn-link" (click)="selectModule('/registration/#/welcome')"><strong>Registration</strong></a>
    </li>
    <li *ngIf="viewIds.includes('itime_goToResourceModule')" class="nav-item px-3">
      <a class="nav-link text-white btn btn-link" (click)="selectModule('/resource-management/#/welcome')"><strong>Resource</strong></a>
    </li>
    <li *ngIf="viewIds.includes('itime_goToRemysModule')" class="nav-item px-3">
      <a class="nav-link text-white btn btn-link" (click)="gotoRemys('/release')"><strong>Release</strong></a>
    </li>
  </ul>
  <ul class="nav navbar-nav ml-auto">
    <li class="nav-item dropdown" dropdown placement="bottom right">
      <a class="nav-link" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"
        dropdownToggle (click)="false">
        <button type="button" class="btn btn-brand btn-facebook">
          <i class="fa fa-user-circle"></i>
          <span>Welcome: {{name}}</span>
        </button>
      </a>
      <div class="dropdown-menu dropdown-menu-right" *dropdownMenu aria-labelledby="simple-dropdown">
        <a class="dropdown-item" (click)="logout.show()"><i class="fa fa-lock"></i> Logout</a>
      </div>
    </li>

  </ul>
</app-header>
<div class="app-body">
  <app-sidebar [fixed]="true" [display]="'lg'">
    <!-- <app-sidebar-nav [navItems]="navItems" [perfectScrollbar] [disabled]="sidebarMinimized"></app-sidebar-nav> -->
    <app-sidebar-minimizer></app-sidebar-minimizer>
  </app-sidebar>
  <!-- Main content -->
  <main class="main">
    <!-- Breadcrumb -->
    <ol class="breadcrumb" style="pointer-events: none;">
      <app-breadcrumb></app-breadcrumb>
    </ol>
    <div class="container-fluid">
      <router-outlet></router-outlet>
    </div><!-- /.container-fluid -->
  </main>
</div>
<app-footer>
  <span><a href="https://www.bankmandiri.co.id/">Bank Mandiri</a> &copy; 2018</span>
  <span class="ml-auto">Powered by <a href="http://www.multipolar.com/">Multipolar Technology</a></span>
</app-footer>

<!-- MODAL FOR LOGOUT -->
<div bsModal #logout="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-primary modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Logout</h4>
        <button type="button" class="close" (click)="logout.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        Are you sure you want to logout
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="logout.hide()">Cancel</button>
        <button type="button" class="btn btn-danger" (click)="logout.hide()">Logout</button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->